package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.GoodsInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-7-6 9:24
 */
public interface GoodsInfoService {
    GoodsInfo get(String id);
    boolean exist(String id);
    int insert(GoodsInfo model);
    int insertPayService(GoodsInfo model,String companyId);
    int update(GoodsInfo model);
    int delete(String id);
    List<GoodsInfo> list();
    List<GoodsInfo> findByType(String type);
    List<String> findBySearch(Map<String, Object> searchParams);
    Page<GoodsInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

}
